View data dashboard details¶
Read the specified data dashboard and its data source and chart configuration.
GET https://moi.matrixorigin.cn/newmoi/data-dashboards/{dashboard_id}
Preparation before calling¶
Prepare a personal access token and target workspace ID that has access to the target workspace.
The example below uses:
$AI_STUDIO_API_KEY: The actual personal access token, passed through theX-API-KeyHeader.$WORKSPACE_ID: Target workspace ID, passed throughX-Workspace-IDHeader.$DASHBOARD_ID:dashboard_idto use, specifying the target resource via the request path.
Call example¶
curl -X GET "https://moi.matrixorigin.cn/newmoi/data-dashboards/$DASHBOARD_ID" \
-H "X-API-Key: $AI_STUDIO_API_KEY" \
-H "X-Workspace-ID: $WORKSPACE_ID"
Path parameters¶
Parameters |
Type |
Is it required |
Description |
|---|---|---|---|
|
string |
Yes |
Data dashboard ID. |
Successful response¶
When the query is successful, the data dashboard, data source, chart and alarm information are returned.
{
"code": 0,
"data": {
"ID": "0198ce73-3d20-7c12-9a11-1a2b3c4d5e6f",
"Name": "销售概览",
"Description": "按日查看销售数据",
"CreatedByRoleID": "role-001",
"CreatedAt": "2026-08-21T07:00:00Z",
"UpdatedAt": "2026-08-21T07:00:00Z",
"sources": [
{
"ID": "source-001",
"DashboardID": "0198ce73-3d20-7c12-9a11-1a2b3c4d5e6f",
"TableID": 1001,
"DatabaseName": "analytics",
"TableName": "daily_sales",
"CreatedAt": "2026-08-21T07:00:00Z"
}
],
"charts": [],
"alerts": [],
"active_alert_count": 0
}
}
The response fields are as follows.
Field |
Type |
Description |
|---|---|---|
|
string |
Data dashboard ID. |
|
string |
Data dashboard name. |
|
string |
Data dashboard description. |
|
string |
The role ID used when creating the data dashboard. |
|
string |
Creation time. |
|
string |
Update time. |
|
array |
Data source list. |
|
string |
Data source associated record ID. |
|
string |
Data dashboard ID. |
|
integer |
Data table ID. |
|
string |
Database name. |
|
string |
Data table name. |
|
string |
The creation time of the data source associated record. |
|
array |
Chart list; returned in the details response. |
|
array |
Alarm record list. |
|
integer |
The number of charts currently in alarm status. |
In this document, [] after a type denotes an array. In a field path, [] denotes each item in an array; for example, data.sources[].ID is the ID field of each item in the data.sources array.
Error response¶
codeinteger or string- Error code or status.
messagestring- Error message.
Error response example
{
"code": 3,
"message": "not found",
"details": {
"domain": "moi-core.catalog.data_dashboard",
"reason": "DATA_DASHBOARD_NOT_FOUND"
}
}